<script>
	import Vue from 'vue'
	// import TIM from 'tim-wx-sdk';
	// import COS from 'cos-wx-sdk-v5';
	export default {
		globalData: {
			// confirm订单参数
			confirmParam: [],
			themecolor: 'beiliyou'
		},
		onLaunch: function() {
			// 在这里调用 onLaunch  vuex  得 getTheme去请求接口
			this.$store.dispatch('getTheme')
			// console.log('App Launch')
			// uni.hideTabBar()
			// uni.removeStorageSync('selectedIndex');
			// uni.$TUIKit = TIM.create({
			// 	SDKAppID: 1400693126
			// });
			// uni.$TUIKit.registerPlugin({
			// 	'cos-wx-sdk': COS
			// });
			// uni.$TUIKitTIM = TIM;
			// uni.$TUIKitEvent = TIM.EVENT;
			// uni.$TUIKitVersion = TIM.VERSION;
			// uni.$TUIKitTypes = TIM.TYPES; // 监听系统级事件
			// uni.$resetLoginData = this.resetLoginData();
			// uni.$TUIKit.on(uni.$TUIKitEvent.SDK_READY, this.onSDKReady);
			// uni.$TUIKit.on(uni.$TUIKitEvent.SDK_NOT_READY, this.onSdkNotReady);
			// uni.$TUIKit.on(uni.$TUIKitEvent.KICKED_OUT, this.onKickedOut);
			// uni.$TUIKit.on(uni.$TUIKitEvent.ERROR, this.onTIMError);
			// uni.$TUIKit.on(uni.$TUIKitEvent.NET_STATE_CHANGE, this.onNetStateChange);
			// uni.$TUIKit.on(uni.$TUIKitEvent.SDK_RELOAD, this.onSDKReload);
			// console.log('IM')
			// uni.$on('updateTabbar', this.updateTabbar);
			// this.updateTabbar();

		},
		onShow: function() {
			console.log('App Show')
			uni.getSystemInfo({
				success: (result) => {
					// 获取手机系统的状态栏高度（不同手机的状态栏高度不同）
					// console.log('当前手机的状态栏高度',result.statusBarHeight)
					let statusBarHeight = result.statusBarHeight + 'px'

					// 获取右侧胶囊的信息 单位px
					//#ifndef H5 || APP-PLUS
					const menuButtonInfo = uni.getMenuButtonBoundingClientRect()

					//bottom: 胶囊底部距离屏幕顶部的距离
					//height: 胶囊高度
					//left:   胶囊左侧距离屏幕左侧的距离
					//right:  胶囊右侧距离屏幕左侧的距离
					//top:    胶囊顶部距离屏幕顶部的距离
					//width:  胶囊宽度
					// console.log(menuButtonInfo.width, menuButtonInfo.height, menuButtonInfo.top)
					// console.log('计算胶囊右侧距离屏幕右边距离', result.screenWidth - menuButtonInfo.right)
					let menuWidth = menuButtonInfo.width + 'px'
					let menuHeight = menuButtonInfo.height + 'px'
					let menuBorderRadius = menuButtonInfo.height / 2 + 'px'
					let menuRight = result.screenWidth - menuButtonInfo.right + 'px'
					let menuTop = menuButtonInfo.top + 'px'
					let contentTop = result.statusBarHeight + 44 + 'px'

					let menuInfo = {
						statusBarHeight: statusBarHeight, //状态栏高度----用来给自定义导航条页面的顶部导航条设计padding-top使用：目的留出系统的状态栏区域
						menuWidth: menuWidth, //右侧的胶囊宽度--用来给自定义导航条页面的左侧胶囊设置使用
						menuHeight: menuHeight, //右侧的胶囊高度--用来给自定义导航条页面的左侧胶囊设置使用
						menuBorderRadius: menuBorderRadius, //一半的圆角--用来给自定义导航条页面的左侧胶囊设置使用
						menuRight: menuRight, //右侧的胶囊距离右侧屏幕距离--用来给自定义导航条页面的左侧胶囊设置使用
						menuTop: menuTop, //右侧的胶囊顶部距离屏幕顶部的距离--用来给自定义导航条页面的左侧胶囊设置使用
						contentTop: contentTop, //内容区距离页面最上方的高度--用来给自定义导航条页面的内容区定位距离使用
					}
					uni.setStorageSync('menuInfo', menuInfo)
					//#endif
				},
				fail: (error) => {
					console.log(error)
				}
			})
		},
		onHide: function() {
			console.log('App Hide')
		},

		methods: {
			updateTabbar() {
				// 获取当前主题
				const theme = this.globalData.themecolor;
				// 设置tabbar的图标
				const tabbarList = [{
						iconPath: `/static/images/tabbar/${theme}/home.png`,
						selectedIconPath: `/static/images/tabbar/${theme}/home_on.png`
					},
					{
						iconPath: `/static/images/tabbar/${theme}/home.png`,
						selectedIconPath: `/static/images/tabbar/${theme}/home_on.png`
					},
					{
						iconPath: `/static/images/tabbar/${theme}/home.png`,
						selectedIconPath: `/static/images/tabbar/${theme}/home_on.png`
					},
					{
						iconPath: `/static/images/tabbar/${theme}/home.png`,
						selectedIconPath: `/static/images/tabbar/${theme}/home_on.png`
					},
				];
				// 这个style不要用循环
				uni.setTabBarStyle({
					color: '#acafac',
					selectedColor: '#118e4a'
				})
				tabbarList.forEach((item, index) => {
					// 只能一项设置 所以循环
					uni.setTabBarItem({
						index,
						...item
					})
				})
			},
			// TODO:
			resetLoginData() {
				// this.globalData.expiresIn = '';
				// this.globalData.sessionID = '';
				// this.globalData.userInfo = {
				// 	userID: '',
				// 	userSig: '',
				// 	token: '',
				// 	phone: ''
				// };
				// this.globalData.userProfile = null;
				// logger.log(`| app |  resetLoginData | globalData: ${this.globalData}`);
			},
			onTIMError() {},
			onSDKReady({
				name
			}) {
				console.log("im注册:" + name)
				const isSDKReady = name === uni.$TUIKitEvent.SDK_READY ? true : false
				console.log("im注册:" + isSDKReady)
				uni.$emit('isSDKReady', {
					isSDKReady: true
				});
			},
			onNetStateChange() {},
			onSDKReload() {},
			onSdkNotReady() {},
			onKickedOut() {
				uni.showToast({
					title: '您被踢下线',
					icon: 'error'
				});

			}
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	// @import 'animate.css';
	@import "uview-ui/index.scss";
	@import './assets/iconfont/iconfont.css';
	@import './assets/css/common.less';
	@import '@/assets/css/common.scss';
	@import '@/assets/css/commonTheme.css';
	@import '@/assets/css/theme.scss';

	page {
		background-color: #f6f6f6;
	}

	::-webkit-scrollbar {
		width: 0 !important;
		height: 0 !important;

	}
</style>
<style>
	/*每个页面公共css */
	/* 解决小程序和app滚动条的问题 */
	/* #ifdef MP-WEIXIN || APP-PLUS */
	/deep/ ::-webkit-scrollbar {
		display: none !important;
		width: 0 !important;
		height: 0 !important;
		-webkit-appearance: none;
		background: transparent;
		color: transparent;
	}

	/* #endif */

	/* 解决H5 的问题 */
	/* #ifdef H5 */
	uni-scroll-view .uni-scroll-view::-webkit-scrollbar {
		/* 隐藏滚动条，但依旧具备可以滚动的功能 */
		display: none;
		width: 0 !important;
		height: 0 !important;
		-webkit-appearance: none;
		background: transparent;
		color: transparent;
	}

	/* #endif */
</style>